> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List all custom object bulk jobs

GET https://rest.test.zuora.com/objects/jobs

Lists all custom object bulk jobs submitted by your tenant.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/custom-objects/custom-object-jobs/get-all-custom-object-bulk-jobs

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `pageSize` (integer, optional, default: 25) — The number of records returned per page in the response.
- `cursor` (string, optional) — The `cursor` points to the last job of the previous result set. The cursor job is not included in this query result. The call returns the first page if `cursor` is not provided and `pageSize` is valid.
- `status` (enum, optional) — The status of bulk jobs to be retrieved.
  - Allowed values: `pending`, `accepted`, `in_progress`, `completed`, `failed`, `cancelled`

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (date, optional) — API version that determines the response schema. The default version is used if this parameter is not included. Specify `Zuora-Version` in the request header if you expect a specific response schema.

## Response

### 200

OK

- `jobs` (list of CustomObjectBulkJobResponse, required) — All custom object bulk jobs returned in the result page set.
- `count` (integer, optional) — The number of custom object bulk jobs returned in the result page set.
- `cursor` (string, optional) — The `cursor` points to the last job record of the current page.

## Types

### CustomObjectBulkJobResponse

- `CreatedById` (string, optional) — The ID of the user who creates the job.
- `CreatedDate` (datetime, optional) — The time when the bulk job is created.
- `Id` (string, optional) — The custom object bulk job ID.
- `UpdatedById` (string, optional) — The ID of the user who updates the job.
- `UpdatedDate` (datetime, optional) — The time when the bulk job is updated.
- `error` (CustomObjectBulkJobResponseError, optional)
- `namespace` (enum, optional) — The namespace of the object. Custom objects belong to the `default` namespace. Zuora standard objects belong to the `com_zuora` namespace. Bulk job operations on the following Zuora standard objects are supported: * SavedQuery
  - Allowed values: `default`, `com_zuora`
- `object` (string, optional) — The object to that the bulk operation performs on.
- `operation` (enum, optional) — The operation that the bulk job performs. Only the users that have the "Delete Custom Objects" permission can submit a `delete` bulk job request. Only the users that have the "Edit Custom Objects" permission can submit a `create` or `update` bulk job request. See [Platform Permissions](https://knowledgecenter.zuora.com/Billing/Tenant_Management/A_Administrator_Settings/User_Roles/h_Platform_Roles#Platform_Permissions) for more information.
  - Allowed values: `delete`, `create`, `update`
- `processingTime` (integer, optional) — The amount of time elapsed, in milliseconds, from the submission to the completion of the bulk job.
- `recordsProcessed` (integer, optional) — The number of object records processed by the bulk job.
- `status` (enum, optional) — The status of the bulk job: - `accepted` - The job has been accepted and is ready to process. - `pending` - The job is waiting for your input. You can use [Upload a file for a custom object bulk job](https://developer.zuora.com/api-references/api/operation/POST_UploadFileForCustomObjectBulkJob) to upload a file so that the job can start creating records. - `in_progress` - The job is processing. - `completed` - The job has completed. - `failed` - The job was unable to complete. You can use [List all errors for a custom object bulk job](https://developer.zuora.com/api-references/api/operation/GET_CustomObjectBulkJobErrors) to list the errors. - `cancelled` - The job was cancelled by the server.
  - Allowed values: `accepted`, `pending`, `in_progress`, `completed`, `failed`, `cancelled`

### CustomObjectBulkJobResponseError

- `code` (integer, optional) — The error code.
- `message` (string, optional) — The error message.

## Examples

**Response**

```json
{
  "jobs": [
    {
      "CreatedById": "2c92c0f96a07409d016a0a58ab1172ec",
      "CreatedDate": "2021-03-10T00:05:54.207Z",
      "Id": "5112347a-f7a1-4373-99df-c082984de7be",
      "UpdatedById": "2c92c0f96a07409d016a0a58ab1172ec",
      "UpdatedDate": "2021-03-10T00:08:15.614Z",
      "namespace": "default",
      "object": "vehicle",
      "operation": "create",
      "processingTime": 62,
      "recordsProcessed": 3,
      "status": "completed"
    },
    {
      "CreatedById": "2c92c0f96a07409d016a0a58ab1172ec",
      "CreatedDate": "2021-03-09T22:27:59.503Z",
      "Id": "a9e9a58d-0a11-4685-b1ab-99521dbc20a1",
      "UpdatedById": "2c92c0f96a07409d016a0a58ab1172ec",
      "UpdatedDate": "2021-03-09T22:27:59.503Z",
      "namespace": "default",
      "object": "vehicle",
      "operation": "create",
      "processingTime": 0,
      "recordsProcessed": 0,
      "status": "pending"
    }
  ],
  "count": 2,
  "cursor": "a9e9a58d-0a11-4685-b1ab-99521dbc20a1"
}
```

**SDK Code**

```python
import requests

url = "https://rest.test.zuora.com/objects/jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.test.zuora.com/objects/jobs';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/objects/jobs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/objects/jobs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/objects/jobs")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/objects/jobs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/objects/jobs");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/objects/jobs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```